Subject: [tcpm] I-D Action:draft-ietf-tcpm-rfc3782-bis-01.txt

From: [email-masked]
Date: Mon, 14 Mar 2011 15:45:02 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the TCP Maintenance and Minor Extensions Working Group of the IETF.

	Title           : The NewReno Modification to TCP's Fast Recovery Algorithm
	Author(s)       : T. Henderson, et al.
	Filename        : draft-ietf-tcpm-rfc3782-bis-01.txt
	Pages           : 23
	Date            : 2011-03-14

RFC 5681 [RFC5681] documents the following four intertwined TCP
congestion control algorithms: Slow Start, Congestion Avoidance, Fast
Retransmit, and Fast Recovery.  RFC 5681 explicitly allows
certain modifications of these algorithms, including modifications
that use the TCP Selective Acknowledgement (SACK) option [RFC2883],
and modifications that respond to "partial acknowledgments" (ACKs
which cover new data, but not all the data outstanding when loss was
detected) in the absence of SACK.  This document describes a specific
algorithm for responding to partial acknowledgments, referred to as
NewReno.  This response to partial acknowledgments was first proposed
by Janey Hoe in [Hoe95].

The purpose of this revision from [RFC3782] is to make errata changes
and to adopt a proposal from Yoshifumi Nishida to slightly increase
the minimum window size after Fast Recovery from one to two segments,
to improve performance when the receiver uses delayed acknowledgments.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-tcpm-rfc3782-bis-01.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

---

From: "Henderson, Thomas R" <[email-masked]>
Date: Thu, 17 Mar 2011 23:57:09 -0700

FYI, the below update to the NewReno revision attempts to address Alexander Zimmermann's comments from a while back.  More comments and review would be welcome.  I'm considering whether to align the document more with the RFC 5681 specification of Fast Retransmit and Fast Recovery.

- Tom

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Monday, March 14, 2011 3:45 PM
To: [email-masked]
Cc: [email-masked]
Subject: I-D Action:draft-ietf-tcpm-rfc3782-bis-01.txt

RFC 5681 [RFC5681] documents the following four intertwined TCP congestion control algorithms: Slow Start, Congestion Avoidance, Fast Retransmit, and Fast Recovery.  RFC 5681 explicitly allows certain modifications of these algorithms, including modifications that use the TCP Selective Acknowledgement (SACK) option [RFC2883], and modifications that respond to "partial acknowledgments" (ACKs which cover new data, but not all the data outstanding when loss was
detected) in the absence of SACK.  This document describes a specific algorithm for responding to partial acknowledgments, referred to as NewReno.  This response to partial acknowledgments was first proposed by Janey Hoe in [Hoe95].

The purpose of this revision from [RFC3782] is to make errata changes and to adopt a proposal from Yoshifumi Nishida to slightly increase the minimum window size after Fast Recovery from one to two segments, to improve performance when the receiver uses delayed acknowledgments.

Below is the data which will enable a MIME compliant mail reader implementation to automatically retrieve the ASCII version of the Internet-Draft.
W0ludGVybmV0U2hvcnRjdXRdDQpVUkw9ZnRwOi8vZnRwLmlldGYub3JnL2ludGVybmV0LWRyYWZ0
cy9kcmFmdC1pZXRmLXRjcG0tcmZjMzc4Mi1iaXMtMDEudHh0DQo=